{{define "main"}}

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="/statics/style.css">
  <script src="/statics/javascript/client.js"></script>
  <title>Document</title>
</head>

<body>

  {{if .LoggedIn}} <input type="hidden" name="userID" id="userIDHiddenField" value="{{.UserID}}"> {{end}}

  <div class="header">
    <div class="title">
      <img class="title_icon" src="/statics/images/logo-tmp.png" alt="PICX">

    </div>
    <div class="login" id="login">
      {{if .LoggedIn}}
      {{template "logout"}}
      {{else if .Register}}
      {{template "register"}}
      {{else}}
      {{template "login"}}
      {{end}}
      <p class="loginMsg">{{.Msg}}</p> <br />
    </div>
  </div>

  <div class="site">

    <div class="navBar">
      {{if .LoggedIn}}
      <a href="./motives">MEINE MOTIVE</a>
      <a href="./pool">MEINE POOLS</a>
      <a href="./mosaics">MEINE MOSAIKE</a>
      {{end}}
    </div>
    <div class="main">

      {{ if eq .CurrentPage .Pages.LandingPage }} {{ template "landingPage" .}}

      {{ else if eq .CurrentPage .Pages.MotivesUpload }} {{ template "motiveUpload" .}}

      {{ else if eq .CurrentPage .Pages.PoolUpload }} {{ template "poolUpload" .}}

      {{ else if eq .CurrentPage .Pages.Mosaics }} {{ template "mosaics" .}}

      {{ else }} {{ template "errorPage" .}}

      {{ end }}

    </div>

  </div>
</body>

</html>

{{end}}